Index: chameleon/atari800core_chameleon.vhd
===================================================================
--- chameleon/atari800core_chameleon.vhd	(revision 119)
+++ chameleon/atari800core_chameleon.vhd	(revision 120)
@@ -91,7 +91,26 @@
   signal RESET_n : std_logic;
   signal PLL_LOCKED : std_logic;
   signal CLK : std_logic;
+  signal CLK_SDRAM : std_logic;
 
+
+-- SDRAM
+  signal SDRAM_REQUEST : std_logic;
+  signal SDRAM_REQUEST_COMPLETE : std_logic;
+  signal SDRAM_READ_ENABLE :  STD_LOGIC;
+  signal SDRAM_WRITE_ENABLE : std_logic;
+  signal SDRAM_ADDR : STD_LOGIC_VECTOR(22 DOWNTO 0);
+  signal SDRAM_DO : STD_LOGIC_VECTOR(31 DOWNTO 0);
+  signal SDRAM_DI : STD_LOGIC_VECTOR(31 DOWNTO 0);
+  signal SDRAM_WIDTH_8bit_ACCESS : std_logic;
+  signal SDRAM_WIDTH_16bit_ACCESS : std_logic;
+  signal SDRAM_WIDTH_32bit_ACCESS : std_logic;
+
+  signal SDRAM_REFRESH : std_logic;
+  
+  signal SDRAM_RESET_N : std_logic;
+
+
 -- MUX
 	signal mux_clk_reg : std_logic := '0';
 	signal mux_reg : unsigned(3 downto 0) := (others => '1');
@@ -125,21 +144,28 @@
 	--signal ps2_keyboard_clk_out : std_logic;
 	--signal ps2_keyboard_dat_out : std_logic;
 
+  SIGNAL	KEYBOARD_RESPONSE :  STD_LOGIC_VECTOR(1 DOWNTO 0);
+  SIGNAL	KEYBOARD_SCAN :  STD_LOGIC_VECTOR(5 DOWNTO 0);
+  SIGNAL	CONSOL_OPTION :  STD_LOGIC;
+  SIGNAL	CONSOL_SELECT :  STD_LOGIC;
+  SIGNAL	CONSOL_START :  STD_LOGIC;
+  SIGNAL FKEYS : std_logic_vector(11 downto 0);
+
 begin
 RESET_N <= PLL_LOCKED;
 
 -- disable unused parts
 --   sdram
-sd_clk <= 'Z';
-sd_addr <= (others=>'0');
-sd_ba_0 <= '0';
-sd_ba_1 <= '0';
-sd_we_n <= '1';
-sd_ras_n <= '1';
-sd_cas_n <= '1';
-sd_data <= (others=>'Z');
-sd_ldqm <= '0';
-sd_udqm <= '0';
+--sd_clk <= 'Z';
+--sd_addr <= (others=>'0');
+--sd_ba_0 <= '0';
+--sd_ba_1 <= '0';
+--sd_we_n <= '1';
+--sd_ras_n <= '1';
+--sd_cas_n <= '1';
+--sd_data <= (others=>'Z');
+--sd_ldqm <= '0';
+--sd_udqm <= '0';
 
 -- simplest possible implementation
 -- pll
@@ -147,25 +173,64 @@
 	PORT MAP
 	(
 		inclk0 => clk8,
-		c0 => clk,
+		c0 => clk_sdram,
+		c1 => clk,
+		c2 => sd_clk,
 		locked => pll_locked
 	);
 	
 -- core
-atari800core : ENTITY work.atari800core_helloworld
+--atari800core : ENTITY work.atari800core_helloworld
+--	GENERIC MAP
+--	(
+--		cycle_length => 32,
+--
+--		video_bits => 5,
+--	
+--		internal_rom => 1,
+--		internal_ram => 16384
+--	)
+--	PORT MAP
+--	(
+--		CLK => clk,
+--		RESET_N => RESET_N,
+--
+--		-- VIDEO OUT - PAL/NTSC, original Atari timings approx (may be higher res)
+--		VIDEO_VS => vga_vs_raw,
+--		VIDEO_HS => vga_hs_raw,
+--		VIDEO_B => blu,
+--		VIDEO_G => grn,
+--		VIDEO_R => red,
+--
+--		-- AUDIO OUT - Pokey/GTIA 1-bit and Covox all mixed
+--		AUDIO_L => audio_l_raw,
+--		AUDIO_R => audio_r_raw,
+--
+--		-- JOYSTICK
+--		JOY1_n => std_logic_vector(docking_joystick1)(4 downto 0),
+--		JOY2_n => std_logic_vector(docking_joystick2)(4 downto 0),
+--
+--		-- KEYBOARD
+--		PS2_CLK => ps2_keyboard_clk_in,
+--		PS2_DAT => ps2_keyboard_dat_in,
+--
+--		-- video standard
+--		PAL => '1'
+--	);
+
+atarixl_simple_sdram1 : entity work.atari800core_simple_sdram
 	GENERIC MAP
 	(
 		cycle_length => 32,
-
-		video_bits => 5,
-	
 		internal_rom => 1,
-		internal_ram => 16384
+		internal_ram => 0,
+		video_bits => 5
 	)
 	PORT MAP
 	(
-		CLK => clk,
-		RESET_N => RESET_N,
+		CLK => CLK,
+		--RESET_N => RESET_N and SDRAM_RESET_N and not(reset_atari),
+		RESET_N => RESET_N and SDRAM_RESET_N,
 
 		-- VIDEO OUT - PAL/NTSC, original Atari timings approx (may be higher res)
 		VIDEO_VS => vga_vs_raw,
@@ -182,12 +247,44 @@
 		JOY1_n => std_logic_vector(docking_joystick1)(4 downto 0),
 		JOY2_n => std_logic_vector(docking_joystick2)(4 downto 0),
 
-		-- KEYBOARD
-		PS2_CLK => ps2_keyboard_clk_in,
-		PS2_DAT => ps2_keyboard_dat_in,
+		KEYBOARD_RESPONSE => KEYBOARD_RESPONSE,
+		KEYBOARD_SCAN => KEYBOARD_SCAN,
 
-		-- video standard
-		PAL => '1'
+		SIO_COMMAND => open,
+		SIO_RXD => '1',
+		SIO_TXD => open,
+
+		CONSOL_OPTION => CONSOL_OPTION,
+		CONSOL_SELECT => CONSOL_SELECT,
+		CONSOL_START => CONSOL_START,
+
+		SDRAM_REQUEST => SDRAM_REQUEST,
+		SDRAM_REQUEST_COMPLETE => SDRAM_REQUEST_COMPLETE,
+		SDRAM_READ_ENABLE => SDRAM_READ_ENABLE,
+		SDRAM_WRITE_ENABLE => SDRAM_WRITE_ENABLE,
+		SDRAM_ADDR => SDRAM_ADDR,
+		SDRAM_DO => SDRAM_DO,
+		SDRAM_DI => SDRAM_DI,
+		SDRAM_32BIT_WRITE_ENABLE => SDRAM_WIDTH_32bit_ACCESS,
+		SDRAM_16BIT_WRITE_ENABLE => SDRAM_WIDTH_16bit_ACCESS,
+		SDRAM_8BIT_WRITE_ENABLE => SDRAM_WIDTH_8bit_ACCESS,
+		SDRAM_REFRESH => SDRAM_REFRESH,
+
+		DMA_FETCH => '0',
+		DMA_READ_ENABLE => '0',
+		DMA_32BIT_WRITE_ENABLE => '0',
+		DMA_16BIT_WRITE_ENABLE => '0',
+		DMA_8BIT_WRITE_ENABLE => '0',
+		DMA_ADDR => (others=>'0'),
+		DMA_WRITE_DATA => (others=>'0'),
+		MEMORY_READY_DMA => open,
+		DMA_MEMORY_DATA => open, 
+
+   		RAM_SELECT => (others=>'0'),
+    		ROM_SELECT => (others=>'0'),
+		PAL => '1',
+		HALT => '0',
+		THROTTLE_COUNT_6502 => "000001"
 	);
 
 -- video glue
@@ -387,6 +484,62 @@
 		);
 
 
+-- -----------------------------------------------------------------------
+-- SDRAM
+-- -----------------------------------------------------------------------
+sdram_adaptor : entity work.sdram_statemachine
+GENERIC MAP(ADDRESS_WIDTH => 22,
+			AP_BIT => 10,
+			COLUMN_WIDTH => 8,
+			ROW_WIDTH => 12
+			)
+PORT MAP(CLK_SYSTEM => CLK,
+		 CLK_SDRAM => CLK_SDRAM,
+		 RESET_N =>  RESET_N,
+		 READ_EN => SDRAM_READ_ENABLE,
+		 WRITE_EN => SDRAM_WRITE_ENABLE,
+		 REQUEST => SDRAM_REQUEST,
+		 BYTE_ACCESS => SDRAM_WIDTH_8BIT_ACCESS,
+		 WORD_ACCESS => SDRAM_WIDTH_16BIT_ACCESS,
+		 LONGWORD_ACCESS => SDRAM_WIDTH_32BIT_ACCESS,
+		 REFRESH => SDRAM_REFRESH,
+		 ADDRESS_IN => SDRAM_ADDR,
+		 DATA_IN => SDRAM_DI,
+		 SDRAM_DQ => sd_data,
+		 COMPLETE => SDRAM_REQUEST_COMPLETE,
+		 SDRAM_BA0 => sd_ba_0,
+		 SDRAM_BA1 => sd_ba_1,
+		 SDRAM_CKE => open,
+		 SDRAM_CS_N => open,
+		 SDRAM_RAS_N => sd_ras_n,
+		 SDRAM_CAS_N => sd_cas_n,
+		 SDRAM_WE_N => sd_we_n,
+		 SDRAM_ldqm => sd_ldqm,
+		 SDRAM_udqm => sd_udqm,
+		 DATA_OUT => SDRAM_DO,
+		 SDRAM_ADDR => sd_addr(11 downto 0),
+		 reset_client_n => SDRAM_RESET_N
+		 );
+		 
+sd_addr(12) <= '0';
 
+-- PS2 to pokey
+keyboard_map1 : entity work.ps2_to_atari800
+	PORT MAP
+	( 
+		CLK => clk,
+		RESET_N => reset_n,
+		PS2_CLK => ps2_keyboard_clk_in,
+		PS2_DAT => ps2_keyboard_dat_in,
+		
+		KEYBOARD_SCAN => KEYBOARD_SCAN,
+		KEYBOARD_RESPONSE => KEYBOARD_RESPONSE,
 
+		CONSOL_START => CONSOL_START,
+		CONSOL_SELECT => CONSOL_SELECT,
+		CONSOL_OPTION => CONSOL_OPTION,
+		
+		FKEYS => FKEYS
+	);
+
 end vhdl;
Index: chameleon/pll.cmp
===================================================================
--- chameleon/pll.cmp	(revision 119)
+++ chameleon/pll.cmp	(revision 120)
@@ -18,6 +18,8 @@
 	(
 		inclk0		: IN STD_LOGIC  := '0';
 		c0		: OUT STD_LOGIC ;
+		c1		: OUT STD_LOGIC ;
+		c2		: OUT STD_LOGIC ;
 		locked		: OUT STD_LOGIC 
 	);
 end component;
Index: chameleon/pll.ppf
===================================================================
--- chameleon/pll.ppf	(revision 119)
+++ chameleon/pll.ppf	(revision 120)
@@ -4,6 +4,8 @@
 <global>
 <pin name="inclk0" direction="input" scope="external" source="clock"  />
 <pin name="c0" direction="output" scope="external" source="clock"  />
+<pin name="c1" direction="output" scope="external" source="clock"  />
+<pin name="c2" direction="output" scope="external" source="clock"  />
 <pin name="locked" direction="output" scope="external"  />
 
 </global>
Index: chameleon/pll.vhd
===================================================================
--- chameleon/pll.vhd	(revision 119)
+++ chameleon/pll.vhd	(revision 120)
@@ -44,6 +44,8 @@
 	(
 		inclk0		: IN STD_LOGIC  := '0';
 		c0		: OUT STD_LOGIC ;
+		c1		: OUT STD_LOGIC ;
+		c2		: OUT STD_LOGIC ;
 		locked		: OUT STD_LOGIC 
 	);
 END pll;
@@ -55,9 +57,11 @@
 	SIGNAL sub_wire1	: STD_LOGIC ;
 	SIGNAL sub_wire2	: STD_LOGIC ;
 	SIGNAL sub_wire3	: STD_LOGIC ;
-	SIGNAL sub_wire4	: STD_LOGIC_VECTOR (1 DOWNTO 0);
-	SIGNAL sub_wire5_bv	: BIT_VECTOR (0 DOWNTO 0);
-	SIGNAL sub_wire5	: STD_LOGIC_VECTOR (0 DOWNTO 0);
+	SIGNAL sub_wire4	: STD_LOGIC ;
+	SIGNAL sub_wire5	: STD_LOGIC ;
+	SIGNAL sub_wire6	: STD_LOGIC_VECTOR (1 DOWNTO 0);
+	SIGNAL sub_wire7_bv	: BIT_VECTOR (0 DOWNTO 0);
+	SIGNAL sub_wire7	: STD_LOGIC_VECTOR (0 DOWNTO 0);
 
 
 
@@ -68,6 +72,14 @@
 		clk0_duty_cycle		: NATURAL;
 		clk0_multiply_by		: NATURAL;
 		clk0_phase_shift		: STRING;
+		clk1_divide_by		: NATURAL;
+		clk1_duty_cycle		: NATURAL;
+		clk1_multiply_by		: NATURAL;
+		clk1_phase_shift		: STRING;
+		clk2_divide_by		: NATURAL;
+		clk2_duty_cycle		: NATURAL;
+		clk2_multiply_by		: NATURAL;
+		clk2_phase_shift		: STRING;
 		compensate_clock		: STRING;
 		inclk0_input_frequency		: NATURAL;
 		intended_device_family		: STRING;
@@ -127,13 +139,17 @@
 	END COMPONENT;
 
 BEGIN
-	sub_wire5_bv(0 DOWNTO 0) <= "0";
-	sub_wire5    <= To_stdlogicvector(sub_wire5_bv);
-	sub_wire1    <= sub_wire0(0);
-	c0    <= sub_wire1;
+	sub_wire7_bv(0 DOWNTO 0) <= "0";
+	sub_wire7    <= To_stdlogicvector(sub_wire7_bv);
+	sub_wire4    <= sub_wire0(2);
+	sub_wire3    <= sub_wire0(0);
+	sub_wire1    <= sub_wire0(1);
+	c1    <= sub_wire1;
 	locked    <= sub_wire2;
-	sub_wire3    <= inclk0;
-	sub_wire4    <= sub_wire5(0 DOWNTO 0) & sub_wire3;
+	c0    <= sub_wire3;
+	c2    <= sub_wire4;
+	sub_wire5    <= inclk0;
+	sub_wire6    <= sub_wire7(0 DOWNTO 0) & sub_wire5;
 
 	altpll_component : altpll
 	GENERIC MAP (
@@ -140,8 +156,16 @@
 		bandwidth_type => "AUTO",
 		clk0_divide_by => 11,
 		clk0_duty_cycle => 50,
-		clk0_multiply_by => 78,
+		clk0_multiply_by => 156,
 		clk0_phase_shift => "0",
+		clk1_divide_by => 11,
+		clk1_duty_cycle => 50,
+		clk1_multiply_by => 78,
+		clk1_phase_shift => "0",
+		clk2_divide_by => 11,
+		clk2_duty_cycle => 50,
+		clk2_multiply_by => 156,
+		clk2_phase_shift => "4407",
 		compensate_clock => "CLK0",
 		inclk0_input_frequency => 125000,
 		intended_device_family => "Cyclone III",
@@ -175,8 +199,8 @@
 		port_scanread => "PORT_UNUSED",
 		port_scanwrite => "PORT_UNUSED",
 		port_clk0 => "PORT_USED",
-		port_clk1 => "PORT_UNUSED",
-		port_clk2 => "PORT_UNUSED",
+		port_clk1 => "PORT_USED",
+		port_clk2 => "PORT_USED",
 		port_clk3 => "PORT_UNUSED",
 		port_clk4 => "PORT_UNUSED",
 		port_clk5 => "PORT_UNUSED",
@@ -194,7 +218,7 @@
 		width_clock => 5
 	)
 	PORT MAP (
-		inclk => sub_wire4,
+		inclk => sub_wire6,
 		clk => sub_wire0,
 		locked => sub_wire2
 	);
@@ -223,8 +247,14 @@
 -- Retrieval info: PRIVATE: CUR_FBIN_CLK STRING "c0"
 -- Retrieval info: PRIVATE: DEVICE_SPEED_GRADE STRING "8"
 -- Retrieval info: PRIVATE: DIV_FACTOR0 NUMERIC "11"
+-- Retrieval info: PRIVATE: DIV_FACTOR1 NUMERIC "11"
+-- Retrieval info: PRIVATE: DIV_FACTOR2 NUMERIC "11"
 -- Retrieval info: PRIVATE: DUTY_CYCLE0 STRING "50.00000000"
--- Retrieval info: PRIVATE: EFF_OUTPUT_FREQ_VALUE0 STRING "56.727272"
+-- Retrieval info: PRIVATE: DUTY_CYCLE1 STRING "50.00000000"
+-- Retrieval info: PRIVATE: DUTY_CYCLE2 STRING "50.00000000"
+-- Retrieval info: PRIVATE: EFF_OUTPUT_FREQ_VALUE0 STRING "113.454544"
+-- Retrieval info: PRIVATE: EFF_OUTPUT_FREQ_VALUE1 STRING "56.727272"
+-- Retrieval info: PRIVATE: EFF_OUTPUT_FREQ_VALUE2 STRING "113.454544"
 -- Retrieval info: PRIVATE: EXPLICIT_SWITCHOVER_COUNTER STRING "0"
 -- Retrieval info: PRIVATE: EXT_FEEDBACK_RADIO STRING "0"
 -- Retrieval info: PRIVATE: GLOCKED_COUNTER_EDIT_CHANGED STRING "1"
@@ -245,18 +275,34 @@
 -- Retrieval info: PRIVATE: LVDS_MODE_DATA_RATE STRING "Not Available"
 -- Retrieval info: PRIVATE: LVDS_MODE_DATA_RATE_DIRTY NUMERIC "0"
 -- Retrieval info: PRIVATE: LVDS_PHASE_SHIFT_UNIT0 STRING "deg"
+-- Retrieval info: PRIVATE: LVDS_PHASE_SHIFT_UNIT1 STRING "ps"
+-- Retrieval info: PRIVATE: LVDS_PHASE_SHIFT_UNIT2 STRING "ps"
 -- Retrieval info: PRIVATE: MIG_DEVICE_SPEED_GRADE STRING "Any"
 -- Retrieval info: PRIVATE: MIRROR_CLK0 STRING "0"
--- Retrieval info: PRIVATE: MULT_FACTOR0 NUMERIC "78"
+-- Retrieval info: PRIVATE: MIRROR_CLK1 STRING "0"
+-- Retrieval info: PRIVATE: MIRROR_CLK2 STRING "0"
+-- Retrieval info: PRIVATE: MULT_FACTOR0 NUMERIC "156"
+-- Retrieval info: PRIVATE: MULT_FACTOR1 NUMERIC "78"
+-- Retrieval info: PRIVATE: MULT_FACTOR2 NUMERIC "156"
 -- Retrieval info: PRIVATE: NORMAL_MODE_RADIO STRING "1"
 -- Retrieval info: PRIVATE: OUTPUT_FREQ0 STRING "56.75000000"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ1 STRING "100.00000000"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ2 STRING "100.00000000"
 -- Retrieval info: PRIVATE: OUTPUT_FREQ_MODE0 STRING "0"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ_MODE1 STRING "0"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ_MODE2 STRING "0"
 -- Retrieval info: PRIVATE: OUTPUT_FREQ_UNIT0 STRING "MHz"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ_UNIT1 STRING "MHz"
+-- Retrieval info: PRIVATE: OUTPUT_FREQ_UNIT2 STRING "MHz"
 -- Retrieval info: PRIVATE: PHASE_RECONFIG_FEATURE_ENABLED STRING "1"
 -- Retrieval info: PRIVATE: PHASE_RECONFIG_INPUTS_CHECK STRING "0"
 -- Retrieval info: PRIVATE: PHASE_SHIFT0 STRING "0.00000000"
+-- Retrieval info: PRIVATE: PHASE_SHIFT1 STRING "0.00000000"
+-- Retrieval info: PRIVATE: PHASE_SHIFT2 STRING "180.00000000"
 -- Retrieval info: PRIVATE: PHASE_SHIFT_STEP_ENABLED_CHECK STRING "0"
 -- Retrieval info: PRIVATE: PHASE_SHIFT_UNIT0 STRING "deg"
+-- Retrieval info: PRIVATE: PHASE_SHIFT_UNIT1 STRING "ps"
+-- Retrieval info: PRIVATE: PHASE_SHIFT_UNIT2 STRING "deg"
 -- Retrieval info: PRIVATE: PLL_ADVANCED_PARAM_CHECK STRING "0"
 -- Retrieval info: PRIVATE: PLL_ARESET_CHECK STRING "0"
 -- Retrieval info: PRIVATE: PLL_AUTOPLL_CHECK NUMERIC "1"
@@ -279,11 +325,17 @@
 -- Retrieval info: PRIVATE: SPREAD_USE STRING "0"
 -- Retrieval info: PRIVATE: SRC_SYNCH_COMP_RADIO STRING "0"
 -- Retrieval info: PRIVATE: STICKY_CLK0 STRING "1"
+-- Retrieval info: PRIVATE: STICKY_CLK1 STRING "1"
+-- Retrieval info: PRIVATE: STICKY_CLK2 STRING "1"
 -- Retrieval info: PRIVATE: SWITCHOVER_COUNT_EDIT NUMERIC "1"
 -- Retrieval info: PRIVATE: SWITCHOVER_FEATURE_ENABLED STRING "1"
 -- Retrieval info: PRIVATE: SYNTH_WRAPPER_GEN_POSTFIX STRING "0"
 -- Retrieval info: PRIVATE: USE_CLK0 STRING "1"
+-- Retrieval info: PRIVATE: USE_CLK1 STRING "1"
+-- Retrieval info: PRIVATE: USE_CLK2 STRING "1"
 -- Retrieval info: PRIVATE: USE_CLKENA0 STRING "0"
+-- Retrieval info: PRIVATE: USE_CLKENA1 STRING "0"
+-- Retrieval info: PRIVATE: USE_CLKENA2 STRING "0"
 -- Retrieval info: PRIVATE: USE_MIL_SPEED_GRADE NUMERIC "0"
 -- Retrieval info: PRIVATE: ZERO_DELAY_RADIO STRING "0"
 -- Retrieval info: LIBRARY: altera_mf altera_mf.altera_mf_components.all
@@ -290,8 +342,16 @@
 -- Retrieval info: CONSTANT: BANDWIDTH_TYPE STRING "AUTO"
 -- Retrieval info: CONSTANT: CLK0_DIVIDE_BY NUMERIC "11"
 -- Retrieval info: CONSTANT: CLK0_DUTY_CYCLE NUMERIC "50"
--- Retrieval info: CONSTANT: CLK0_MULTIPLY_BY NUMERIC "78"
+-- Retrieval info: CONSTANT: CLK0_MULTIPLY_BY NUMERIC "156"
 -- Retrieval info: CONSTANT: CLK0_PHASE_SHIFT STRING "0"
+-- Retrieval info: CONSTANT: CLK1_DIVIDE_BY NUMERIC "11"
+-- Retrieval info: CONSTANT: CLK1_DUTY_CYCLE NUMERIC "50"
+-- Retrieval info: CONSTANT: CLK1_MULTIPLY_BY NUMERIC "78"
+-- Retrieval info: CONSTANT: CLK1_PHASE_SHIFT STRING "0"
+-- Retrieval info: CONSTANT: CLK2_DIVIDE_BY NUMERIC "11"
+-- Retrieval info: CONSTANT: CLK2_DUTY_CYCLE NUMERIC "50"
+-- Retrieval info: CONSTANT: CLK2_MULTIPLY_BY NUMERIC "156"
+-- Retrieval info: CONSTANT: CLK2_PHASE_SHIFT STRING "4407"
 -- Retrieval info: CONSTANT: COMPENSATE_CLOCK STRING "CLK0"
 -- Retrieval info: CONSTANT: INCLK0_INPUT_FREQUENCY NUMERIC "125000"
 -- Retrieval info: CONSTANT: INTENDED_DEVICE_FAMILY STRING "Cyclone III"
@@ -324,8 +384,8 @@
 -- Retrieval info: CONSTANT: PORT_SCANREAD STRING "PORT_UNUSED"
 -- Retrieval info: CONSTANT: PORT_SCANWRITE STRING "PORT_UNUSED"
 -- Retrieval info: CONSTANT: PORT_clk0 STRING "PORT_USED"
--- Retrieval info: CONSTANT: PORT_clk1 STRING "PORT_UNUSED"
--- Retrieval info: CONSTANT: PORT_clk2 STRING "PORT_UNUSED"
+-- Retrieval info: CONSTANT: PORT_clk1 STRING "PORT_USED"
+-- Retrieval info: CONSTANT: PORT_clk2 STRING "PORT_USED"
 -- Retrieval info: CONSTANT: PORT_clk3 STRING "PORT_UNUSED"
 -- Retrieval info: CONSTANT: PORT_clk4 STRING "PORT_UNUSED"
 -- Retrieval info: CONSTANT: PORT_clk5 STRING "PORT_UNUSED"
@@ -344,11 +404,15 @@
 -- Retrieval info: USED_PORT: @clk 0 0 5 0 OUTPUT_CLK_EXT VCC "@clk[4..0]"
 -- Retrieval info: USED_PORT: @inclk 0 0 2 0 INPUT_CLK_EXT VCC "@inclk[1..0]"
 -- Retrieval info: USED_PORT: c0 0 0 0 0 OUTPUT_CLK_EXT VCC "c0"
+-- Retrieval info: USED_PORT: c1 0 0 0 0 OUTPUT_CLK_EXT VCC "c1"
+-- Retrieval info: USED_PORT: c2 0 0 0 0 OUTPUT_CLK_EXT VCC "c2"
 -- Retrieval info: USED_PORT: inclk0 0 0 0 0 INPUT_CLK_EXT GND "inclk0"
 -- Retrieval info: USED_PORT: locked 0 0 0 0 OUTPUT GND "locked"
 -- Retrieval info: CONNECT: @inclk 0 0 1 1 GND 0 0 0 0
 -- Retrieval info: CONNECT: @inclk 0 0 1 0 inclk0 0 0 0 0
 -- Retrieval info: CONNECT: c0 0 0 0 0 @clk 0 0 1 0
+-- Retrieval info: CONNECT: c1 0 0 0 0 @clk 0 0 1 1
+-- Retrieval info: CONNECT: c2 0 0 0 0 @clk 0 0 1 2
 -- Retrieval info: CONNECT: locked 0 0 0 0 @locked 0 0 0 0
 -- Retrieval info: GEN_FILE: TYPE_NORMAL pll.vhd TRUE
 -- Retrieval info: GEN_FILE: TYPE_NORMAL pll.ppf TRUE
